//Задаем путь к точкам обмена сообщениями 
function err=SetPathMessageFilesPoints(pathToPoints)
    //Проверяем число аргументов
    nArg = argn(2);//Число аргументов
    if nArg < 1 then
        error('Function SetPathMessagePoints takes 1 argument');
    end
    
    //Проверяем аргумент
    if (type(pathToPoints) ~= 10) ||..
       (size(pathToPoints,'*') > 1) then
        error('The arguments pathToPoints of function SetPathMessagePoints must be scalar string');
    end
    
    //Сохраняем путь к точкам обмена сообщениями
    PathToDatasFile = fullfile(SCIHOME,"CommandMSGPointsDirectory","CommandMSGPointsDirectoryPath.pth");
    if ~mputl(pathToPoints,PathToDatasFile) then//Записываем в файл путь к точкам обмена сообщениями
        err = 1;
        error('Saving path to point error');
    else
        err = 0;
    end
endfunction
